CVE-2024-29896

CVSS 3.1 Score 7.5 of 10 (high)

Details

Published Mar 28, 2024
CWE ID 74

Summary

CVE-2024-29896, also known as Astro-Shield, is a vulnerability that affects the library used for computing subresource integrity hashes for JS scripts and CSS stylesheets. If the automated CSP headers generation for SSR content is enabled and the web application serves content that can be partially controlled by external users, it may "allow-list" malicious injected resources or references to external malicious scripts. The vulnerability has a base severity of HIGH and a base score of 7.5. The fix for this vulnerability is available in version 1.3.0 of Astro-Shield.

Leverage our Vulnerability Intelligence module to secure your systems now - get detailed insights on CVE-2024-37364. Book your demo today.

Share

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-29896 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options